<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>EMR3.0 Scramble Module</title>
<script type="text/javascript" src="../js/jquery-1.4.2.js"></script>
<link rel="stylesheet" href="../style/replant.css" type="text/css">
<script language=JavaScript src="../js/global_en.js" type=text/javascript></script>
<style>
.emm
{
	width:73px;
	margin-top: 2px;
}
.card_select
{
	float: left;
	margin-left: 30px;
}
.card_select select
{
	width: 190px;
	height: 21px;
}
</style>
</head>
<script language="javascript" type="text/javascript">
<%UpdatePortInfo(slotNo);%>
var language = 1;
var slotNo;

var objIdArray = ["cw_mode", "cw_data", "emm1_pid", "emm1_sel", "emm2_pid", "emm2_sel", "emm3_pid", "emm3_sel", "emm4_pid", "emm4_sel", "emm5_pid", "emm5_sel", "emm6_pid", "emm6_sel"];
var COL_NUM = 15;

function GetArgs() 
{
    var args = new Object();
    var query = location.search.substring(1);  //Get query string
    var pairs = query.split("&");  //Break at & ampersand
    for(var i = 0; i < pairs.length; i++) 
	{
        var pos = pairs[i].indexOf('=');  //Look for "name=value"
        if(pos == -1) 
		{
			continue;  //If not found, skip
		}
        var argname = pairs[i].substring(0, pos);  //Extract the name
        var value = pairs[i].substring(pos + 1);  //Extract the value
        value = decodeURIComponent(value);  //Decode it, if needed
        args[argname] = value;  //Store as a property
    }
    return args;  //Return the object
}

function funcUpdateDisplay()
{
	var args = GetArgs();
	slotNo = parseInt(args["slotNo"], 10);
	$("#curSlot").val(slotNo);	
	for(var i=0; i<portnum; i++)
	{	
		 changelist1(port_id[i]);		
	}
}

function changeValue(obj)
{
	var curSlotNo = parseInt(obj.val(), 10);
	window.location.href="portparam.asp?slotNo=" + curSlotNo;
}

function changelist1(id)
{
	var tempgroupid = parseInt($("#group_id"+id).val(),10);
	if(tempgroupid == 255)
	{
		for(var i = 0; i < COL_NUM; i++)
		{
			$("#" + objIdArray[ i] + id).attr("disabled", true);
		}
	}
	else
	{
		for(var i = 0; i < COL_NUM; i++)
		{
			$("#" + objIdArray[ i] + id).attr("disabled", false);
		}
		keyjudge(id);
	}
}
function changelist(id)
{
	if(value_type == 0)//The current license authorized for port
	{ 	
		var validnum = value_port-scrambled_port_other//Authorized allowed port
		var cnt=0;
		for(i=0;i<portnum;i++)
		{
			if(parseInt($("#group_id"+port_id[i]).val(),10)!=255)//Authorized open
			{
				cnt++;
			}
		}
		if(validnum < cnt)
		{
			alert("Beyond the scope of authorization, please reset!");
			return;
		}
	}
	changelist1(id);
}
function keyjudge(id)
{
	var tempkeymode = parseInt($("#cw_mode"+id).val(),10);
	if(tempkeymode == 0)
	{
		document.getElementById("cw_data"+id).disabled = true;
	}
	else
	{
		document.getElementById("cw_data"+id).disabled = false;
	}
}
function submitcheck()
{
	$("#curslot").val(slotNo);
	if(value_type == 0)//The current license authorized for port
	{ 	
		var validnum = value_port-scrambled_port_other//Authorized allowed port
		var cnt=0;
		for(i=0;i<portnum;i++)
		{
			if(parseInt($("#group_id"+port_id[i]).val(),10)!=255)//Authorized open
			{
				cnt++;
			}
		}
		if(validnum < cnt)
		{
			alert("Beyond the scope of authorization, please reset!");
			return;
		}
	}
    var returnnum;
    var i;
	for(var i = 0; i < portnum; i++)
	{
		if(parseInt($("#cw_mode"+port_id[i]).val(),10) == 1)//Key mode for fixed
		{
			returnnum=ValidateNum($("#cw_data"+port_id[i]),"KEY","<Fixed Key>");
			if(returnnum == false)
			{
				return;
			}
		}  
		returnnum=ValidateNum($("#emm1_pid"+port_id[i]),"PID","<EMM1 PID>");
		if(returnnum == false)
		{
			return;
		}
		returnnum=ValidateNum($("#emm2_pid"+port_id[i]),"PID","<EMM1 PID>");
		if(returnnum == false)
		{
			return;
		}  
		returnnum=ValidateNum($("#emm3_pid"+port_id[i]),"PID","<EMM1 PID>");
		if(returnnum == false)
		{
			return;
		}    
		returnnum=ValidateNum($("#emm4_pid"+port_id[i]),"PID","<EMM1 PID>");
		if(returnnum == false)
		{
			return;
		}
		returnnum=ValidateNum($("#emm5_pid"+port_id[i]),"PID","<EMM1 PID>");
		if(returnnum == false)
		{
			return;
		}    
		returnnum=ValidateNum($("#emm6_pid"+port_id[i]),"PID","<EMM1 PID>");
		if(returnnum == false)
		{
			return;
		}  
	}			
	for(i=0;i<portnum;i++)
	{
		var tmppid1 = parseInt($("#emm1_pid"+port_id[i]).val());
		var tmppid2 = parseInt($("#emm2_pid"+port_id[i]).val());
		var tmppid3 = parseInt($("#emm3_pid"+port_id[i]).val());
		var tmppid4 = parseInt($("#emm4_pid"+port_id[i]).val());
		var tmppid5 = parseInt($("#emm5_pid"+port_id[i]).val());
		var tmppid6 = parseInt($("#emm6_pid"+port_id[i]).val());
		for(var j = 1; j < 7;j++)
		{
			var tempPid = eval("tmppid" + j);
			for(var k = j + 1; k < 7; k++)
			{
				if(tempPid == eval("tmppid" + k))
				{
					alert("Different EMM's EMM_PID cann't be same!");
					return;
				}
			}
		}
	}
	$("#paramform").submit();
	setTimeout("self.location.reload(true)",1000);
}
</script>
<body onload="funcUpdateDisplay()">
<div class="mainfram_bar_test">
  <div class="mainfram_bar_test_text">Port Set</div>
</div>
<div class="virtualbody">
  <div class="mainfram">
    <form name="paramform" id="paramform" method="post" action=/goform/mcuSetPortInfo>
      <input type="hidden" id="curslot" name="curslot"/>
      <div class="mainfram_head2"></div>
      <div class="card_select"><b>Select Card:</b>
        <select id="curSlot" name="curSlot" onchange="changeValue($(this));">
          <option value="1">Card1:<script>document.write(cardNameEn[0]);</script></option>
          <option value="2">Card2:<script>document.write(cardNameEn[1]);</script></option>
          <option value="3">Card3:<script>document.write(cardNameEn[2]);</script></option>
          <option value="4">Card4:<script>document.write(cardNameEn[3]);</script></option>
          <option value="5">Card5:<script>document.write(cardNameEn[4]);</script></option>
          <option value="6">Card6:<script>document.write(cardNameEn[5]);</script></option>
          <option value="7">Card7:<script>document.write(cardNameEn[6]);</script></option>
        </select>
      </div>
      <div style="clear:both"></div>
      <div class="div_table_info1">
        <table id="table_info3" cellspacing="0">
          <tr>
            <th>Port</th>
            <th>Group</th>
            <th>Key Mode</th>
            <th>Fixed Key</th>
            <th width="85px">EMM1</th>
            <th width="85px">EMM2</th>
            <th width="85px">EMM3</th>
            <th width="85px">EMM4</th>
            <th width="85px">EMM5</th>
            <th width="85px">EMM6</th>
          </tr>
          <SCRIPT>
				<!--for(var i=0; i<inportnum; i++)-->
				for(var i=0; i<portnum; i++)
				{
						var str="<tr><td>"+port_id[i]+"</td>\r\n";
						str+="<td><select id='group_id"+port_id[i]+"'style='width:90px; height:22px' name='group_id"+port_id[i]+"' style='width:75px' onchange='changelist("+port_id[i]+")'>"
						str+="<option value='0' selected='selected'>Group1</option><option value='1'>Group2</option><option value='2'>Group3</option><option value='3'>Group4</option><option value='4'>Group5</option><option value='5'>Group6</option><option value='6'>Group7</option><option value='7'>Group8</option><option value='8'>Group9</option><option value='9'>Group10</option><option value='10'>Group11</option><option value='11'>Group12</option><option value='12'>Group13</option><option value='13'>Group14</option><option value='14'>Group15</option><option value='15'>Group16</option><option value='255'>OFF</option></select></td>";
						str+="<td><select id='cw_mode"+port_id[i]+"'style='width:85px;  height:22px' name='cw_mode"+port_id[i]+"' onchange='keyjudge("+port_id[i]+")'>"
						str+="<option value='0' selected='selected'>Random</option><option value='1'>Fixed</option></select></td>";
						str+="<td><input type='text' id='cw_data"+port_id[i]+"' name='cw_data"+port_id[i]+"' style='width:150px; height:18px' maxlength='16'/></td>";						
						str+="<td><input type='text' style='width:69px; padding-top:0px' id='emm1_pid"+port_id[i]+"' name='emm1_pid"+port_id[i]+"'  maxlength='16'/> <select class='emm' name='emm1_sel"+port_id[i]+"' id='emm1_sel"+port_id[i]+"'>"
						str+="<option value='0'>EMMG1</option><option value='1'>EMMG2</option><option value='2'>EMMG3</option><option value='3'>EMMG4</option><option value='4'>EMMG5</option><option value='5'>EMMG6</option><option value='6'>EMMG7</option><option value='7'>EMMG8</option><option value='8'>EMMG9</option><option value='9'>EMMG10</option><option value='10'>EMMG11</option><option value='11'>EMMG12</option><option value='12'>EMMG13</option><option value='13'>EMMG14</option><option value='14'>EMMG15</option><option value='15'>EMMG16</option><option value='255'>OFF</option></select></td>";
						str+="<td><input type='text' style='width:69px;padding-top:0px' id='emm2_pid"+port_id[i]+"' name='emm2_pid"+port_id[i]+"'  maxlength='16'/> <select class='emm' name='emm2_sel"+port_id[i]+"' id='emm2_sel"+port_id[i]+"''>"
						str+="<option value='0'>EMMG1</option><option value='1'>EMMG2</option><option value='2'>EMMG3</option><option value='3'>EMMG4</option><option value='4'>EMMG5</option><option value='5'>EMMG6</option><option value='6'>EMMG7</option><option value='7'>EMMG8</option><option value='8'>EMMG9</option><option value='9'>EMMG10</option><option value='10'>EMMG11</option><option value='11'>EMMG12</option><option value='12'>EMMG13</option><option value='13'>EMMG14</option><option value='14'>EMMG15</option><option value='15'>EMMG16</option><option value='255'>OFF</option></select></td>";
						str+="<td><input type='text' style='width:69px;padding-top:0px' id='emm3_pid"+port_id[i]+"' name='emm3_pid"+port_id[i]+"'  maxlength='16'/> <select class='emm' name='emm3_sel"+port_id[i]+"' id='emm3_sel"+port_id[i]+"'>"
						str+="<option value='0'>EMMG1</option><option value='1'>EMMG2</option><option value='2'>EMMG3</option><option value='3'>EMMG4</option><option value='4'>EMMG5</option><option value='5'>EMMG6</option><option value='6'>EMMG7</option><option value='7'>EMMG8</option><option value='8'>EMMG9</option><option value='9'>EMMG10</option><option value='10'>EMMG11</option><option value='11'>EMMG12</option><option value='12'>EMMG13</option><option value='13'>EMMG14</option><option value='14'>EMMG15</option><option value='15'>EMMG16</option><option value='255'>OFF</option></select></td>";
						str+="<td><input type='text' style='width:69px;padding-top:0px' id='emm4_pid"+port_id[i]+"' name='emm4_pid"+port_id[i]+"'  maxlength='16'/> <select class='emm' name='emm4_sel"+port_id[i]+"' id='emm4_sel"+port_id[i]+"'>"
						str+="<option value='0'>EMMG1</option><option value='1'>EMMG2</option><option value='2'>EMMG3</option><option value='3'>EMMG4</option><option value='4'>EMMG5</option><option value='5'>EMMG6</option><option value='6'>EMMG7</option><option value='7'>EMMG8</option><option value='8'>EMMG9</option><option value='9'>EMMG10</option><option value='10'>EMMG11</option><option value='11'>EMMG12</option><option value='12'>EMMG13</option><option value='13'>EMMG14</option><option value='14'>EMMG15</option><option value='15'>EMMG16</option><option value='255'>OFF</option></select></td>";
						str+="<td><input type='text' style='width:69px;padding-top:0px' id='emm5_pid"+port_id[i]+"' name='emm5_pid"+port_id[i]+"'  maxlength='16'/> <select class='emm' name='emm5_sel"+port_id[i]+"' id='emm5_sel"+port_id[i]+"'>"
						str+="<option value='0'>EMMG1</option><option value='1'>EMMG2</option><option value='2'>EMMG3</option><option value='3'>EMMG4</option><option value='4'>EMMG5</option><option value='5'>EMMG6</option><option value='6'>EMMG7</option><option value='7'>EMMG8</option><option value='8'>EMMG9</option><option value='9'>EMMG10</option><option value='10'>EMMG11</option><option value='11'>EMMG12</option><option value='12'>EMMG13</option><option value='13'>EMMG14</option><option value='14'>EMMG15</option><option value='15'>EMMG16</option><option value='255'>OFF</option></select></td>";
						str+="<td><input type='text' style='width:69px;padding-top:0px' id='emm6_pid"+port_id[i]+"' name='emm6_pid"+port_id[i]+"'  maxlength='16'/> <select class='emm' name='emm6_sel"+port_id[i]+"' id='emm6_sel"+port_id[i]+"'>"
						str+="<option value='0'>EMMG1</option><option value='1'>EMMG2</option><option value='2'>EMMG3</option><option value='3'>EMMG4</option><option value='4'>EMMG5</option><option value='5'>EMMG6</option><option value='6'>EMMG7</option><option value='7'>EMMG8</option><option value='8'>EMMG9</option><option value='9'>EMMG10</option><option value='10'>EMMG11</option><option value='11'>EMMG12</option><option value='12'>EMMG13</option><option value='13'>EMMG14</option><option value='14'>EMMG15</option><option value='15'>EMMG16</option><option value='255'>OFF</option></select></td></tr>";					
	 	        	document.writeln(str);
					$("#group_id"+port_id[i]).val(group_id[i]);
					$("#cw_mode"+port_id[i]).val(cw_mode[i]);
					$("#cw_data"+port_id[i]).val(cw_val[i]);
					$("#emm1_pid"+port_id[i]).val(emm1_pid[i]);
					$("#emm1_sel"+port_id[i]).val(emm1_sel[i]);
					$("#emm2_pid"+port_id[i]).val(emm2_pid[i]);
					$("#emm2_sel"+port_id[i]).val(emm2_sel[i]);
					$("#emm3_pid"+port_id[i]).val(emm3_pid[i]);
					$("#emm3_sel"+port_id[i]).val(emm3_sel[i]);
					$("#emm4_pid"+port_id[i]).val(emm4_pid[i]);
					$("#emm4_sel"+port_id[i]).val(emm4_sel[i]);
					$("#emm5_pid"+port_id[i]).val(emm5_pid[i]);
					$("#emm5_sel"+port_id[i]).val(emm5_sel[i]);
					$("#emm6_pid"+port_id[i]).val(emm6_pid[i]);
					$("#emm6_sel"+port_id[i]).val(emm6_sel[i]);
	       		}
		        </SCRIPT>
        </table>
        <br/>
        <div class="mainfram_bar"></div>
        <div class="mainfram_button">
          <img src="../style/img/submit.png" onclick ="submitcheck()"/ >&nbsp;&nbsp;&nbsp;
          &nbsp;&nbsp;&nbsp;<img src="../style/img/refresh.png" onclick="self.location.reload(true)" />
        </div>
      </div>
    </form>
  </div>
</div>
</body>
</html>
