<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta HTTP-EQUIV="Pragma" CONTENT="no-cache">
<title>EMR3.0 Management</title>
<link rel="stylesheet" href="../style/replant.css" type="text/css">
<link rel="stylesheet" href="../style/sfn.css" type="text/css">
<script type="text/javascript" src="../js/jquery-1.4.2.js"></script>
<script type="text/javascript" src="../js/param_check.js"></script>
<script type="text/javascript" language="javascript">
<%updataSfnCard(slotno,1);%>
var url = window.location.href;
var intPos = url.indexOf("="); 
var slotno= url.substr(intPos + 1); 
function funcUpdateDisplay() 
{
	$("#dvbtConstellation").val(VID_DVBT_CONSTELLATION);
	$("#dvbtInterleaving").val(VID_DVBT_INTERLEAVING );
	$("#dvbtCoderate").val(VID_DVBT_CODERATE);
	$("#dvbtGuardIntervel").val(VID_DVBT_GUARD_INTERVEL);
	$("#dvbtTransmissionMode").val(VID_DVBT_TRANSMISSION_MODE);
	$("#dvbtBandwidthOfRf").val(VID_DVBT_BANDWIDTH_OF_RF);
	$("#dvbtTsPriority").val(VID_DVBT_TS_PRIORITY);
	$("#exSwitchAll").val(VID_EX_SWITCHALL);
	if(VID_EX_SWITCHALL == "1")//Extend Parameters switch is on
	{
		$("#extend").css("display","");
	}
	else
	{
		$("#extend").css("display","none");
	}
	$("#exTxID").val(VID_EX_TX_ID);
	$("#exTOffsetSwitch").val(VID_EX_TOFFSET_SWITCH);
	$("#exTOffsetValue").val(VID_EX_TOFFSET_VALUE);
	$("#exFOffsetSwitch").val(VID_EX_FOFFSET_SWITCH);
	$("#exFOffsetValue").val(VID_EX_FOFFSET_VALUE);
	$("#exPowerSwitch").val(VID_EX_POWER_SWITCH);
	$("#exPowerValue").val(VID_EX_POWER_VALUE);
	$("#exCellidSwitch").val(VID_EX_CELLID_SWITCH);
	$("#exCellidValue").val(VID_EX_CELLID_VALUE);
	$("#exCellidEnaMode").val(VID_EX_CELLIDENA_MODE);
	$("#exBwSwitch").val(VID_EX_BW_SWITCH);
	$("#exBwValue").val(VID_EX_BW_VALUE);
	$("#exBwEnaMode").val(VID_EX_BWENA_MODE);
	$("#exEnaSigSwitch").val(VID_EX_ENASIG_SWITCH);
	$("#exEnaSigValue").val(VID_EX_ENASIG_VALUE);
	$("#curslot").val(slotno);
}
function changelist()
{
	if(parseInt($("#exSwitchAll").val(),10) == 1)
	{
		$("#extend").css("display","");
	}
	else
	{
		$("#extend").css("display","none");
	}	
}
function jump(id)
{
	if(id==1)
	{
		window.location.href="sfncard.asp?slotno="+slotno;
 	}
 	else if(id==2)
 	{
		window.location.href="sfn_dtmb.asp?slotno="+slotno;
	}
	else
	{
		window.location.href="sfn_dvbt.asp?slotno="+slotno;
	}
}
function submitcheck()
{
	if(parseInt($("#exSwitchAll").val(),10) == 1)
	{
		var returnnum;
		returnnum = ValidateParam($("#exTxID"),"VALI_INTEGER",0,65535,"<Tx ID>",2);
		if(returnnum == false)
		{
			return;
		}
		returnnum = ValidateParam($("#exTOffsetValue"),"VALI_NEGATIVE_INTEGER",-32768,32767,"<Time Offset Value>",2);
		if(returnnum == false)
		{
			return;
		}
		returnnum = ValidateParam($("#exBwValue"),"VALI_INTEGER",0,127,"<Bandwidth Value>",2);
		if(returnnum == false)
		{
			return;
		}
		returnnum = ValidateParam($("#exFOffsetValue"),"VALI_NEGATIVE_INTEGER",-8388608,8388607,"<Frequency Offset Value>",2);
		if(returnnum == false)
		{
			return;
		}
		returnnum = ValidateParam($("#exCellidValue"),"VALI_INTEGER",0,65535,"<Cell_ID>",2);
		if(returnnum == false)
		{
			return;
		}
		returnnum = ValidateParam($("#exPowerValue"),"VALI_INTEGER",0,65535,"<Power Value>",2);
		if(returnnum == false)
		{
			return;
		}
	}
	$("#paramform").submit();
	 setTimeout("self.location.reload(true)",1000);
}
</script>
</head>
<body onload="funcUpdateDisplay()">
<div class="mainfram_bar_test">
  <div class="mainfram_bar_test_text">Cards >
    <script>
	  document.write("card"+slotno+"--SFN Card"+" > DVB-T Set");
	  </script>
  </div>
</div>
<div class="virtualbody">
  <div class="mainfram">
    <form id="paramform" name="paramform" method=post action=/goform/mcuSetSfnCard>
      <input type="hidden" name="curslot" id="curslot" />
      <input type="hidden" name="curpage" id="curpage" value="1" />
      <div class="tab">
        <ul>
          <li onclick="jump(1);">Card Param.</li>
          <li onclick="jump(2);">DTMB Set</li>
          <li class="tab_selected1" onclick="jump(3);">DVB-T Set</li>
        </ul>
      </div>
      <div class="mainfram_head2"></div>
      <div class="mainfram_bar">
        <div class="mainfram_bar_text">DVB_T Basic Parameters</div>
      </div>
      <div class="dvbt1">
        <ul class="mainfram_ul2">
          <li><b>Constellation:</b>
            <select id="dvbtConstellation" name="dvbtConstellation" style="width:120px">
              <option value="0"selected>QPSK</option>
              <option value="1">16QAM</option>
              <option value="2">64QAM</option>
            </select>
          </li>
          <li><b>Interleaving:</b>
            <select id="dvbtInterleaving" name="dvbtInterleaving" style="width:120px">
              <option value="0"selected>α=0</option>
              <option value="1">α=1</option>
              <option value="2">α=2</option>
              <option value="3">α=4</option>
            </select>
          </li>
          <li><b>DVB-T Code Mode:</b>
            <select id="dvbtCoderate" name="dvbtCoderate" style="width:120px">
              <option value="0"selected>1/2</option>
              <option value="1">2/3</option>
              <option value="2">3/4</option>
              <option value="3">5/6</option>
              <option value="4">7/8</option>
            </select>
          </li>
          <li><b>Guard Interval:</b>
            <select id="dvbtGuardIntervel" name="dvbtGuardIntervel" style="width:120px">
              <option value="0"selected>1/32</option>
              <option value="1">1/16</option>
              <option value="2">1/8</option>
              <option value="3">1/4</option>
            </select>
          </li>
        </ul>
        <ul class="mainfram_ul2">
          <li><b>Transmission Mode:</b>
            <select id="dvbtTransmissionMode" name="dvbtTransmissionMode" style="width:155px">
              <option value="0"selected>2kMode</option>
              <option value="1">8KMode</option>
            </select>
          </li>
          <li><b>Bandwidth:</b>
            <select id="dvbtBandwidthOfRf" name="dvbtBandwidthOfRf" style="width:155px">
              <option value="0"selected>7MHz</option>
              <option value="1">8MHz</option>
              <option value="2">6MHz</option>
            </select>
          </li>
          <li><b>Priority:</b>
            <select id="dvbtTsPriority" name="dvbtTsPriority" style="width:155px">
              <option value="0"selected>Low Priority TS</option>
              <option value="1">None or High Priority TS</option>
            </select>
          </li>
          <li><b>Extend SwitchAll:</b>
            <select id="exSwitchAll" name="exSwitchAll" style="width:155px" onchange="changelist()">
              <option value="0"selected>OFF</option>
              <option value="1">ON</option>
            </select>
          </li>
        </ul>
      </div>
	  <div id="extend" style="display:none">
      <div class="mainfram_bar">
        <div class="mainfram_bar_text">DVB_T Extend Parameters</div>
      </div>
      <div class="dvbt2">
        <ul class="mainfram_ul2">
          <li><b>Tx ID:</b>
            <input id="exTxID" name="exTxID" style="width:115px"/>
          </li>
          <li><b>Time Offset Switch:</b>
            <select id="exTOffsetSwitch" name="exTOffsetSwitch" style="width:120px">
              <option value="0"selected>OFF</option>
              <option value="1">ON</option>
            </select>
          </li>
          <li><b>Time Offset Value:</b>
            <input id="exTOffsetValue" name="exTOffsetValue"  style="width:115px"/>
          </li>
          <li><b>Frequency Offset Switch:</b>
            <select id="exFOffsetSwitch" name="exFOffsetSwitch" style="width:120px">
              <option value="0"selected>OFF</option>
              <option value="1">ON</option>
            </select>
          </li>
          <li><b>Frequency Offset Value:</b>
            <input id="exFOffsetValue" name="exFOffsetValue"  style="width:115px"/>
          </li>
          <li><b>Bandwidth Switch:</b>
            <select id="exBwSwitch" name="exBwSwitch" style="width:120px">
              <option value="0"selected>OFF</option>
              <option value="1">ON</option>
            </select>
          </li>
          <li><b>Bandwidth Value:</b>
            <input id="exBwValue" name="exBwValue"  style="width:115px"/>
          </li>
          <li><b>Bandwidth Enable Mode:</b>
            <select id="exBwEnaMode" name="exBwEnaMode" style="width:120px">
              <option value="0"selected>Waiting Enable</option>
              <option value="1">Immediately</option>
            </select>
          </li>
        </ul>
        <ul class="mainfram_ul2">
          <li><b>Cell_ID Switch:</b>
            <select id="exCellidSwitch" name="exCellidSwitch" style="width:155px">
              <option value="0"selected>OFF</option>
              <option value="1">ON</option>
            </select>
          </li>
          <li><b>Cell_ID:</b>
            <input id="exCellidValue" name="exCellidValue"  style="width:150px"/>
          </li>
          <li><b>Cell_ID Enable Mode:</b>
            <select id="exCellidEnaMode" name="exCellidEnaMode" style="width:155px">
              <option value="0"selected>Waiting Enable</option>
              <option value="1">Immediately</option>
            </select>
          </li>
          <li><b>Power Switch:</b>
            <select id="exPowerSwitch" name="exPowerSwitch" style="width:155px">
              <option value="0"selected>OFF</option>
              <option value="1">ON</option>
            </select>
          </li>
          <li><b>Power Value:</b>
            <input id="exPowerValue" name="exPowerValue"  style="width:150px"/>
          </li>
          <li><b>Enable Signal Switch:</b>
            <select id="exEnaSigSwitch" name="exEnaSigSwitch" style="width:155px">
              <option value="0"selected>OFF</option>
              <option value="1">ON</option>
            </select>
          </li>
          <li><b>Enable Signal Value:</b>
            <select id="exEnaSigValue" name="exEnaSigValue" style="width:155px">
              <option value="0"selected>Neither</option>
              <option value="1">Only Cell_id Enable</option>
              <option value="2">Only Bandwidth Enable</option>
              <option value="3">Both</option>
            </select>
          </li>
        </ul>
      </div>
	  </div>
      <div class="mainfram_bar"></div>
      <div class="mainfram_button"> <img type="image" src="../style/img/submit.png" onclick ="submitcheck();return false;" /> &nbsp;&nbsp;&nbsp;<img src="../style/img/refresh.png" onclick="self.location.reload(true);return false;" /> </div>
    </form>
  </div>
</div>
</body>
</html>
