﻿// JavaScript Document
//define a variable to store Ztree Info.
var zTree;
//设置配置参数 和 方法
setting = {
		editable: false,//参数设置为true便可使用拖拽功能
		edit_renameBtn:false,
		edit_removeBtn:false,
		dragCopy:true,//拖拽功能为复制然后在目的菜单添加
		dragMove:false,//拖拽功能为先删除然后在目的菜单添加
		data:	{
					key: {
							children: "nodes"
						 },
			simpleData : {
							enable : false,
							idKey : "id",
							pIdKey : "pId",
							rootPId : null
						 }

				},
		view: 	{
					showLine: true,
					showTitle:false,
					showIcon:false,
					selectedMulti: false
				},
		callback:{
					onClick: zTreeOnClick,
					//beforeClick: zTreeBeforeClick,
					onRightClick: OnRightClick
				 }

	};
$(document).ready(function(){
	reloadTree();
	updatePmtinfo();
});
var preSelectedNode1;
function zTreeOnClick(event, treeId, treeNode) 
{
	if (treeId =="treeDemo") 
	{
		if (preSelectedNode1 == treeNode) 
		{
			zTree.cancelSelectedNode();
			preSelectedNode1 = null;
		} 
		else 
		{
			preSelectedNode1 = treeNode;
		}
	}
}
//确定右键菜单显示的坐标
function showRMenu1(type, x, y) 
{
	$("#AddMenu1").show();
	$("#AddMenu1").css({"top":y+"px", "left":(x+10)+"px", "display":"block"});
}
function showRMenu2(type, x, y) 
{
	$("#AddMenu2").show();
	$("#AddMenu2").css({"top":y+"px", "left":(x+10)+"px", "display":"block"});
}
function showRMenu3(type, x, y) 
{
	$("#AddMenu3").show();
	$("#AddMenu3").css({"top":y+"px", "left":(x+10)+"px", "display":"block"});
}
function showRMenuModi(type, x, y) 
{
	$("#ModifyMenu").show();
	$("#ModifyMenu").css({"top":y+"px", "left":(x+10)+"px", "display":"block"});
}
function showRMenuDele(type, x, y) 
{
	$("#DeleteMenu").show();
	$("#DeleteMenu").css({"top":y+"px", "left":(x+10)+"px", "display":"block"});
}
//hidden rightclick menu 
function hideRMenu()
{
	$("#AddMenu1").hide();
	$("#AddMenu2").hide();
	$("#AddMenu3").hide();
	$("#ModifyMenu").hide();
	$("#DeleteMenu").hide();
}
function OnRightClick(event,treeId, treeNode)
{   
    var count=0;
	var a1,a2;
	var tree_area = document.getElementById("tree_area"); 
	if(count==0)
	{
	var a1 = tree_area.scrollTop;
	count++;
	}
	if (!treeNode) 
	{
		zTree.cancelSelectedNode();			
		hideRMenu();
	} 
	else if (treeNode && !treeNode.noR) 
	{
		if (event.target.tagName != "a" && $(event.target).parents("a").length == 0) 
		{			
			zTree.cancelSelectedNode();	
			hideRMenu();
		} 
		else if(treeId =="treeDemo") 
		{
			zTree.selectNode(treeNode);
			var rightclick_node = zTree.getSelectedNodes();
			$("#CurDescId").val(rightclick_node[0].ID);
			if(rightclick_node[0].level==1)//Add Program descriptor
			{	
				$("#Desc_OperateType").val("1");	
				showRMenu1("node", event.clientX, event.clientY-tree_area.scrollTop+a1);
				$("#AddMenu2").hide();
				$("#AddMenu3").hide();
				$("#ModifyMenu").hide();
				$("#DeleteMenu").hide();
			}
			else if((rightclick_node[0].level==2)&&(rightclick_node[0].DESC==1))//Modify and delete program descriptor
			{
				showRMenuModi("node", event.clientX, event.clientY-tree_area.scrollTop+a1);
				$("#AddMenu1").hide();
				$("#AddMenu2").hide();
				$("#AddMenu3").hide();
				$("#DeleteMenu").hide();
			}
			else if((rightclick_node[0].level==2)&&(rightclick_node[0].eleType==0))//Add video element descriptor
			{
				$("#Desc_OperateType").val("3");
				showRMenu2("node", event.clientX, event.clientY-tree_area.scrollTop+a1);
				$("#AddMenu1").hide();
				$("#AddMenu3").hide();
				$("#ModifyMenu").hide();
				$("#DeleteMenu").hide();
			}
			else if((rightclick_node[0].level==2)&&(rightclick_node[0].eleType==1))//Add audio element descriptor
			{
				$("#Desc_OperateType").val("3");
				showRMenu3("node", event.clientX, event.clientY-tree_area.scrollTop+a1);
				$("#AddMenu1").hide();
				$("#AddMenu2").hide();
				$("#ModifyMenu").hide();
				$("#DeleteMenu").hide();
			}
			else if(rightclick_node[0].level==3)//Modify and delete element descriptor
			{		
				showRMenuModi("node", event.clientX, event.clientY-tree_area.scrollTop+a1);
				$("#AddMenu1").hide();
				$("#AddMenu2").hide();
				$("#AddMenu3").hide();
				$("#DeleteMenu").hide();
			}		
		}
	}
}
//Initialization of zTree
function reloadTree() 
{
	zTree = $.fn.zTree.init($("#treeDemo"),setting, PMTNodes);
}	
function updatePmtinfo()
{
	$("#curpsiid").val(psiid);	
	var row;
	var col;
	var i;
	var Element1 = document.getElementById("table_info7");
	if(document.all)
	{
		for(i = 0; i < elementnum; i++)
		{
			row = Element1.insertRow();
			col = row.insertCell();
				col.innerHTML = i+1;
			col = row.insertCell();				
				col.innerHTML = element_type[i];
			col = row.insertCell();
				col.innerHTML = element_PID[i];
			col = row.insertCell();
				col.innerHTML = operateEdit1 + operateDel1;			
		}	
	}
	else
	{
		for(i = 0; i <  elementnum; i++)
		{
			row = document.createElement("tr");
			col = document.createElement("td");
				col.innerHTML = i+1;
			row.appendChild(col);
			col= document.createElement("td");
				col.innerHTML = element_type[i];
			row.appendChild(col);
			col= document.createElement("td");
				col.innerHTML = element_PID[i];
			row.appendChild(col);
			col= document.createElement("td");
				col.innerHTML = operateEdit1 + operateDel1;
			row.appendChild(col);
			Element1.appendChild(row);
			}
	}
	$("#Version_Num").val(version_num);
}
//Add ES Element
function addesinfo()
{
	//var obj = document.getElementById("esedit");	
	$("#OperateType").val("1");
	$("#Es_OperateType").val("1");
	$("#Es_Type").val("");
	$("#Es_Pid").val("");
	$("#esedit").modal();
}
//Modify ES Element
function editesinfo(index)
{
	var id = parseInt(index,10)-1;
	$("#Curid").val(id);
	$("#OperateType").val("1");
	$("#Es_OperateType").val("2");
	$("#Es_Pos").val(id);
	$("#Es_Type").val(element_type[id]);
	$("#Es_Pid").val(element_PID[id]);	
	$("#esedit").modal();
}